probe::nfs.proc.read
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.proc.read — NFS client synchronously reads file from server

## Synopsis

    nfs.proc.read

## Values

`version`

  NFS version

`offset`

  the file offset

`prot`

  transfer protocol

`flags`

  used to set task->tk_flags in rpc_init_task function

`count`

  read bytes in this execution

`server_ip`

  IP address of server

## Description

All the nfs.proc.read kernel functions were removed in kernel commit 8e0969 in December 2006, so these probes do not exist on Linux 2.6.21 and newer kernels.

Prev | Up | Next
probe::nfs.proc.open | Home | probe::nfs.proc.read_done